/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of CG_ModeSwitch demo for the TOSHIBA
 *          'TMPM380' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "TMPM380.h"
#include "tmpm380_int.h"
#include "tmpm380_tmrb.h"
#include "rmc.h"
#include <string.h>
#include <stdio.h>
#include "cg.h"
/* Private typedef -----------------------------------------------------------*/
typedef enum { SLEEP = 0, WAKE = 1 } SYSSTAT;
/* Private define ------------------------------------------------------------*/
/************** FOR RMC_1 FORMAT ****************/
#define SEVEN_KEY   ((uint8_t)0xE0)     /* KEY 7 code        */
#define NINE_KEY    ((uint8_t)0x90)     /* KEY 9 code        */
#define VOL_UP      ((uint8_t)0x58)     /* KEY Vol UP code   */
#define VOL_DOWN    ((uint8_t)0x78)     /* KEY Vol DOWN code */
#define CH_UP       ((uint8_t)0xD8)     /* KEY CH UP code    */
#define CH_DOWN     ((uint8_t)0xF8)     /* KEY CH DOWN code  */
#define FORMAT      "TOSHIBA"   /* FORMAT name       */

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* External function prototypes ----------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void PrintCode(char *, uint16_t, uint32_t);
void Delay(uint32_t time);

#endif
/*********************************** END OF FILE ******************************/
