/**
 ******************************************************************************
 * @file     DemoLed.c
 * @brief    LED driver for the TOSHIBA 'TMPM380' Device Series
 * @version  V0.101
 * @date     2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */

/** include files **/

#include "led.h"
/** local definitions **/
#define DELAY   0X2FFFFFU
/** default settings **/

/** external functions **/

/** external data **/

/** internal functions **/

/** public data **/


/** sub functions **/
void demo_led(void);
void demo_seg(void);

/*************************************************************************
 * Function Name: demo_led
 * Parameters:None
 *
 * Return:None  
 *
 * Description: display LED ON from left to right one by one
 *
 *************************************************************************/

void demo_led(void)
{

    char LedData[] = { 0xfeU, 0xfdU, 0xfbU, 0xf7U, 0xefU, 0xdfU, 0xbfU, 0x7fU };
    uint32_t i;
    uint8_t j;
    uint8_t data;

    for (j = 0U; j < 8U; ++j) {
        data = LedData[j];
        LedOn(data);
        for (i = 0U; i < DELAY; ++i) {
            /* Do nothing */
        }
    }
}

/*************************************************************************
 * Function Name: demo_seg
 * Parameters:None
 *
 * Return:None  
 *
 * Description: display 0,1...d,E, . in sequence
 *
 *************************************************************************/

void demo_seg(void)
{
    uint32_t i;
    uint8_t j;
    uint8_t reg;

    for (j = 0U; j < 10U; ++j) {
        reg = ledchar[j];
        SegArrayDisplay(reg);
        for (i = 0U; i < DELAY; ++i) {
            /* Do nothing */
        }
    }

}
