/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of GPIO demo for the
 *          TOSHIBA 'TMPM380' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* include file */
#include "tmpm380_gpio.h"

#include "led.h"

/*  Function declaration */

extern void demo_seg(void);
extern void demo_led(void);

/* main function */

int main(void)
{

    LEDInit();

    while (1) {

        LedEnable(LED_CH1 | LED_CH2 | LED_CH3);
        LedDisable(LED_CH4);
        demo_seg();
        LedDisable(LED_CH1 | LED_CH2 | LED_CH3);
        LedEnable(LED_CH4);
        demo_led();

    }
}



#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
