/**
 *******************************************************************************
 * @file    main.h
 * @brief   The Header file of IGBT One PPG for the TOSHIBA 'TMPM380' 
 *          Device Series 
 * @version V0.201
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
#include "tmpm380_igbt.h"

#define IGBT_DEAD_TIME_5US      ((uint16_t)200)
#define IGBT_ACTIVE_PERIOD_20US ((uint16_t)800)
#define IGBT_PPG_PERIOD_50US    ((uint16_t)2000)
#define IGBT0_EMG_STOP          (TSB_MT0_IGEMGST_IGEMGST == 1U)
#define IGBT0_TRG_HOLD          (TSB_PC_DATA_PC7 == 0U)

#ifdef __TMPM380_H__
#define LED_DEBUG
#else
#undef  LED_DEBUG
#endif                          /* __TMPM380_H__ */

#ifdef LED_DEBUG
#define LED_ENABLE do { \
                       TSB_PA->DATA = 0xFF; \
                       TSB_PA->CR = 0xFF; \
                       TSB_PG_CR_PG4C = 1U; \
                       TSB_PG_DATA_PG4 = 0U; \
                   } while (0)
#define LED_4_ON   (TSB_PA_DATA_PA0 = 0U)
#define LED_4_OFF  (TSB_PA_DATA_PA0 = 1U)
#else
#define LED_ENABLE do {} while (0)
#define LED_4_ON   do {} while (0)
#define LED_4_OFF  do {} while (0)
#endif                          /* LED_DEBUG */

void IGBT_IO_Configuration(TSB_MT_TypeDef * IGBTx, IGBT_InitTypeDef * InitTypeDef);
#endif                          /* __MAIN_H */
