/**
 *******************************************************************************
 * @file    main.c
 * @brief   The application functions of RTC demo for the
 *          TOSHIBA Cortex-M3 TMPM380
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* include file */

#include "main.h"

void DisplayLED(void);

/* User ram definition  */

/* main function */
int main(void)
{
    CG_SetFs(ENABLE);
    LEDInit();

    /* enable RTC interrupt */
    CG_SetSTBYReleaseINTSrc(CG_INT_SRC_RTC, CG_INT_ACTIVE_STATE_FALLING, ENABLE);
    RTC_Init();

    NVIC_EnableIRQ(INTRTC_IRQn);

    /* waiting for RTC register set finish */
    while (fRTC_1HZ_INT != 1U) {
        /* Do nothing */
    }
    fRTC_1HZ_INT = 0U;

    /* Enable RTC Clock function */
    RTC_EnableClock();

    while (1) {
        if (fRTC_1HZ_INT == 1U) {
            fRTC_1HZ_INT = 0U;
            RTCDisplaySec();
        } else {
            /* Do nothing */
        }
    }
}


#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
